package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.ims.entity.resource.AlarmLevel;

import java.util.List;

public interface AlarmLevelService {

    /**
     * 添加
     *
     * @param alarmLevel
     * @return
     */
    BocloudResult<AlarmLevel> create(AlarmLevel alarmLevel);

    /**
     * 更新
     *
     * @param alarmLevel
     * @return 操作结果
     */
    BocloudResult<AlarmLevel> modify(AlarmLevel alarmLevel);

    /**
     * 通过vendor获取告警级别
     *
     * @return
     */
    BocloudResult<List<AlarmLevel>> getLevel(String params);

    /**
     * 设置告警级别
     *
     * @return
     */
    BocloudResult<AlarmLevel> setting(AlarmLevel alarmLevel);
}
